%define name 	esmtp
%define version 0.5.0
%define release 1mdk

Summary: 	User configurable relay-only Mail Transfer Agent (MTA)
Name:		%name
Version:	%version
Release:	%release
# http://flow.dl.sourceforge.net/sourceforge/esmtp/
Url:		http://esmtp.sourceforge.net
Source0:	%name-%version.tar.bz2
License:	GPL
Group:		Networking/Mail
BuildRoot:	%_tmppath/%name-%version-%release-buildroot
BuildRequires:	libesmtp-devel

%description

ESMTP is a user configurable relay-only Mail Transfer Agent (MTA) with a
sendmail-compatible syntax. It's based on libESMTP supporting the AUTH
(including the CRAM-MD5 and NTLM SASL mechanisms) and the StartTLS SMTP
extensions.

So these are ESMTP features:

 * requires no administration privileges
 * individual user configuration
 * sendmail command line compatible
 * supports the AUTH SMTP extension, with the CRAM-MD5 and NTLM SASL
   mechanisms
 * support the StartTLS SMTP extension
 * does not receive mail, expand aliases or manage a queue


%prep
%setup -q


%build
# Avoid making symlinks, this is done  by make alternatives.
%__sed -i 's/\(.*LN_S.*\)/\#\1/' Makefile.in
%configure
%make


%install
%__rm -rf %buildroot
%makeinstall
%__install -d %buildroot%_sbindir

%post
# sendmail-alternatives
update-alternatives --install %_sbindir/sendmail sendmail %_bindir/%name 20

%postun
# sendmail-alternatives
if [ "$1" = 0 ]; then
    update-alternatives --remove sendmail %_sbindir/sendmail
fi


%clean
%__rm -rf %buildroot


%files
%defattr(-,root,root)
%doc AUTHORS README TODO ChangeLog sample.esmtprc
%_bindir/%name
%_mandir/man1/%name.1.bz2
%_mandir/man5/%{name}rc.5.bz2


%changelog
* Thu Dec 11 2003 Han Boetes <han@klama.mandrake.org> 0.5.0-1mdk
- bump and cleanup

* Wed Jul 16 2003 Han Boetes <han@linux-mandrake.com> 0.4.1-1mdk
- bump

* Mon Mar 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3-1mdk
- 0.3

* Fri Dec 27 2002 Han Boetes <han@linux-mandrake.com> 0.2-3mdk
- rebuild because of new rpm macros and new glibc

* Wed Dec 11 2002 Han Boetes <han@mijncomputer.nl> 0.2-2mdk
- Use alternative instead of provides, as suggested by B.Reser

* Sun Dec  8 2002 Han Boetes <han@linux-mandrake.com> 0.2-1mdk
- Initial Release for Mandrake
